> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Number of Sent Messages >
Premium tag
Retrieve the number of messages sent daily during a specific period. Permission required: `view-engagement-dashboard` ### Changelog | Version | Description | | ---------------- | ------------| |3.1.0 | Added | ## OpenAPI ````json GET /api/v1/engagement-dashboard/messages/messages-sent { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Statistics" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels Engagement" }, { "name": "Messages Engagement" }, { "name": "Statistics" }, { "name": "Users Engagement" } ], "paths": { "/api/v1/engagement-dashboard/messages/messages-sent": { "get": { "tags": [ "Messages Engagement" ], "summary": "Get Number of Sent Messages", "description": "
\"Premium
\n\nRetrieve the number of messages sent daily during a specific period.\n\nPermission required: `view-engagement-dashboard` \n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|3.1.0 | Added |", "operationId": "get-api-v1-engagement-dashboard-messages-messages-sent", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/start" }, { "$ref": "#/components/parameters/end" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "days": { "type": "array", "items": { "type": "object", "properties": { "day": { "type": "string" }, "messages": { "type": "integer" } } } }, "period": { "type": "object", "properties": { "count": { "type": "integer" }, "variation": { "type": "integer" } } }, "yesterday": { "type": "object", "properties": { "count": { "type": "integer" }, "variation": { "type": "integer" } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "days": [ { "day": "2023-05-22T00:00:00Z", "messages": "22" }, { "day": "2023-05-21T00:00:00Z", "messages": "5" } ], "period": { "count": "760", "variation": "716" }, "yesterday": { "count": "101", "variation": "82" }, "success": "true" } } } } } }, "400": { "$ref": "#/components/responses/keyError" }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/forbiddenError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The token of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The user ID of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "start": { "name": "start", "in": "query", "description": "The start date.", "required": "true", "schema": { "type": "string" }, "example": "2023-10-29T14:48:00Z" }, "end": { "name": "end", "in": "query", "description": "The end date.", "required": "true", "schema": { "type": "string" }, "example": "2023-11-05T14:48:00Z" } }, "responses": { "keyError": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Missing key": { "value": { "success": "false", "error": "Match error: Missing key 'start'" } }, "Example 2": { "value": { "success": "false", "error": "Match error: Failed Match.Where validation in field start" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "forbiddenError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } } } } } } } } } ````